var needle = require("needle");

needle.post('http://localhost:3307/api/consultas/reserva', 
{
    UserID: 1,
    EventoID: 14,
    codigo: 'asexwswkal1212',
    descuentoPorciento: 0
}, {json: true}, (err, res) => {
    if (err) {
        console.error(err);
    };
    console.log(res.body);
});